unit Udemo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  PrnCells, StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    PrnCells1: TPrnCells;
    Button2: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
const
	Data: array[0..9] of string =
  ('CF12', ' System regulator', '2', '$ 25.00', '$ 50.00',
   'CF65', ' Flashlight (rechargeable)', '1', '$ 12.50', '$ 12.50');
  Total: string = '$ 62.50';
begin
	with PrnCells1 do
  begin
  	Reset;
    //SetEdges(edAll, clBlack, psSolid, 1);
    SetFont('Arial', clBlack, -0.33, []);
    Measurement := mtCentimeters;
    Add('Temp', 0, 0, 15, 18);
    GetSelectedCell(0).CenterOnPage(ccBoth);
    CutH('Block', [3, 14, 1]);
    Select('BlockR1');
    CutV('Header', [4, 11]);
    with Select('HeaderC1') do
	    with AddGraphic('Logo', Left, Top, Width, Height, TMetafile.Create) do
      begin
  	    Graphic.LoadFromFile('Picture.wmf');
	    	Inflate(-1.5, -0.5)
      end;
    Select('HeaderC2');
    CutH('Title', [1.65, 0.55, 0.65, 0.15]);
    SetFont('Times New Roman', clBlack, -0.45, []);
    FillText(['SioBreck Marine Center',
              '4, Pontus Kamark St.',
              'Kaapa Kauai, HI 94766 - 1234']);
    with Select('TitleR1') do
    begin
    	FontHeight := -0.85;
      FontStyle := [fsBold]
    end;
    Select('BlockR2');
    Cut('Cells', [1, 6.5, 1.5, 3, 3], [-20, 0.7]);
    SetEdges(edAll, clBlack, psSolid, 1);
    Select('Cells*C2'); SetAlignment(taLeftJustify);
    Select('CellsR1C*');
    SetAlignment(taCenter);
    SetEdges([edBorders], clBlack, psSolid, 3);
    SetBrush($80FFFF, bsSolid);
    SetFont('Arial', clBlack, -0.25, [fsBold]);
    FillText(['Code', 'Description', 'Quantity', 'List price', 'Extended price']);
    Select('BlockR3');
    CutV('Total', [12, 3]);
    SetEdges([edTop], clBlack, psSOlid, 5);
    with Select('TotalC1') do
    begin
    	Text := 'Total price ';
      Alignment := taRightJustify
    end;
    SetEdges([edRight], clBlack, psSolid, 1);
    Select('TotalC2'); SetFont('Arial', clBlack, -0.35, [fsBold]);
    Select('*'); SetEdges([edBorders], clBlack, psSolid, 5);

    (* Fill grid with data *)

    Select('CellsR2C*;CellsR3C*');
    FillText(Data);
    with Find('TotalC2') do
    begin
    	Text := Total;
      BrushColor := $80FFFF
    end;
    Print('Grid demo')
  end
end;


procedure TForm1.Button2Click(Sender: TObject);
begin
	with PrnCells1 do
  begin
  	Reset;
    SetFont('Arial', clBlack, -0.3, [fsBold, fsItalic]);
    Measurement := mtPercentage;
    Add('Temp', 0, 0, 0.75, 0.75);
    GetSelectedCell(0).CenterOnPage(ccBoth);
    CutH('Row', [0.05, 0.9, 0.05]);
    with Select('RowR1') do
    begin
    	Text := 'Object-oriented software';
      Alignment := taRightJustify;
      Layout := tlBottom;
    end;
    Setedges([edBottom], clBlack, psSolid, 3);
    with Select('RowR2') do
    begin
    	Inflate(-0.01, -0.01);
      RichEdit := TRichEdit.Create(PrnCells1);
      Richedit.Lines.LoadFromFile('Oop.rtf');
    end;
    with Select('RowR3') do
    begin
    	Text := '125';
      Alignment := taRightJustify;
      Layout := tlTop;
    end;
    Setedges([edTop], clBlack, psSolid, 3);
	  Print('Rich text demo')
	end
end;


procedure TForm1.Button3Click(Sender: TObject);

procedure DefineCard(Prefix: string);
begin
  with PrnCells1 do
  begin
  	with GetSelectedCell(0) do
			Cut(Prefix, [0.1, Width - 0.2, 0.1], [0.1, Height - 0.2, 0.1]);
    Select(Prefix + 'R1C1'); SetEdges([edLeft, edTop], clBlack, psSolid, 1);
    Select(Prefix + 'R1C3'); SetEdges([edRight, edTop], clBlack, psSolid, 1);
    Select(Prefix + 'R3C1'); SetEdges([edLeft, edBottom], clBlack, psSolid, 1);
    Select(Prefix + 'R3C3'); SetEdges([edRight, edBottom], clBlack, psSolid, 1);
    Measurement := mtPercentage;
    Select(Prefix+'R2C2');
    CutV(Prefix+'Block', [0.2, 0.8]);
    with Select(Prefix+'BlockC1') do
    begin
    	Orientation := toVertical;
      Alignment := taLeftJustify;
      Layout := tlBottom;
      Text := 'Created with PrnCells component'
    end;
    SetFont('Arial', clBlack, -0.04, [fsItalic]);
    Select(Prefix+'BlockC2');
    CutH(Prefix+'Row', [0.2, 0.03, 0.5, 0.13, -2, 0.07]);
    SetAlignment(taRightJustify);
    Select(Prefix+'RowR1').Text := 'SioBreck Marine Center';
    SetEdges([edBottom], clBlack, psSolid, 7);
    SetFont('Times New Roman', clBlack, -0.5, [fsItalic]);
    with Select(Prefix+'RowR2') do
    	Left := Left + 0.05;
    SetEdges([edBottom], clBlack, psSolid, 3);
    with Select(Prefix+'RowR3') do
    begin
    	Text := 'S. Petterson';
      Layout := tlBottom;
    end;
    SetFont('Arial', clBlack, -0.25, [fsBold]);
    Select(Prefix+'RowR4').Text := 'General Manager';
    SetFont('Arial', clBlack, -0.6, [fsItalic]);
    Select(Prefix+'RowR5;'+Prefix+'RowR6');
    SetFont('Arial', clBlack, -0.7, []);
    FillText(['4, Pontus Kamark St.', 'Kaapa Kauai, HI 94766 - 1234']);
    Measurement := mtInches
  end

end;
begin
	with PrnCells1 do
  begin
  	Reset;
    //SetEdges(edAll, clBlack, pssolid, 1);
    Measurement := mtInches;
    Add('1', 1, 0.1, 3, 2);
    DefineCard('1');
    Add('2', 1, 3, 4, 2.67);
    DefineCard('2');
    Print('Demo')
  end
end;

end.
